'**** ADDINCONFIG - HEADER - BEGIN ****
'>>>> Dieser Code wird automatisch generiert <<<<
    Set m_MLSDoppelnachweis = New clsMLSDoppelnachweis
    Application.AddAddInConsumer m_MLSDoppelnachweis
'**** ADDINCONFIG - HEADER - END ****

		commands.ADD "ADDIN_MLS_CHECK_010", "MLS Doppelnachweisprfung", "MLS_Check_Selektion", "bmpOBJ"
		commands.ADD "ADDIN_MLS_CHECK_020", "MLS Doppelnachweisprfung Konfiguration", "MLS_Check_Config", "bmpOBJ"
		commands.ADD "ADDIN_MLS_CHECK_AD", "MLS Doppelnachweisprfung", "MLS_Check_mdnwp", "bmpOBJ"
		commands.add "FlowFactMLSHome", "FLOWFACT MLS", "MLS_ExecuteMlsHome", "MLSCockpit"
	
		Dim i
		i = 0
	
		'** FlowFact Objekte
		Dim m_oDev							'As FFDeveloper.Application
		Dim m_oFF							  'As FlowFact.Application
		Dim m_oUtil							'As Util
		Dim m_sTITLE						'As String
		Dim m_oAddIn						'As Object
		Dim m_oFso							'As Scripting.FileSystemObject
		
		Sub MLS_Check_Selektion()
			m_MLSDoppelnachweis.Check_Selektion
		End Sub	
		
		Sub MLS_Check_Config()
			m_MLSDoppelnachweis.StartTool "CONF",""
		End Sub	

		Sub MLS_Check_mdnwp()
			m_MLSDoppelnachweis.CheckADeMail 
		End Sub			
		
		Sub MLS_ExecuteMlsHome()
			m_MLSDoppelnachweis.ExecuteMlsHome
		End Sub



'**** ADDINCONFIG - CLASS - BEGIN ****
'>>>> Dieser Code wird automatisch generiert <<<<
Class clsMLSDoppelnachweis
    Dim dbData
    Dim paramData
    Dim AddInName 
'**** ADDINCONFIG - CLASS - END ****

	Sub ExecuteMlsHome

		' stelle application referenz her
		Set oDev = GetObject("", "FFDeveloper.Application")
		oDev.FlowFact_SetApplication Application
		
		dim fso
		dim file
		Dim xmlDateiPfad 
		Dim pos
		Dim startPos
		Dim endPos
		Dim curLen
		Dim gesLen
		Dim trgLen
		Dim pwMd5
		Dim userName

		xmlDateiPfad = oDev.FlowFact_Folder & "\system\Controls\MLSDoppelnachweis\config.xml"
		
		If not oDev.oFileSystem.FileExists(xmlDateiPfad) Then
			msgbox "FLOWFACT MLS ist noch nicht konfiguriert." & vbnewline & "Es startet jetzt der Konfigurator.", vbOkOnly ,"FLOWFACT MLS"
			MLS_Check_Config
			exit sub
		end if
		
		set fso = CreateObject("scripting.fileSystemObject")
		set file = fso.opentextfile(xmlDateiPfad, 1)  

		do until file.AtEndOfStream
			curLine = file.ReadLine
			
			' ermittle Benutzernamen aus XML <Username> Section
			pos = InStr (curLine, "<Username>")
			if pos > 0 then
				startPos = pos + 10
				endPos = InStr(startPos, curLine, "<")
				gesLen = Len(curLine)		
				trgLen = endPos - startPos
				userName = mid(curLine, startPos, trgLen)
			end if
			
			' ermittle MD5 Passwort aus XML <PasswordMd5> Section
			pos = InStr (curLine, "<PasswordMd5>")
			if pos > 0 then
				startPos = pos + 13
				endPos = InStr(startPos, curLine, "<")
				gesLen = Len(curLine)		
				trgLen = endPos - startPos
				pwMd5 = mid(curLine, startPos, trgLen)
			end if

		loop

		file.close
		set file = nothing
		set fso = nothing	
		
		' Aufbau der URL 
		strURL = "http://intern.implius.biz/index.php/member/autologin/?product=P"
		strURL = strURL + "&company_number=" & userName
		strURL = strURL + "&string=" & pwMd5
		strURL = strURL + "&random=" & i
		
		i = i + 1

		' Aufruf Pane mit bergabe URL 
		commands.execute "HOME", strUrl
	End Sub	
		'********************************************
	  '** Init_oDev
	  '********************************************
		Sub Init_oDev()
	    	Set m_oDev = GetObject("", "FFDeveloper.Application")
	
	    	m_oDev.FlowFact_InitApplication
	    	Set m_oFF = m_oDev.FlowFact_Application
	    	Set m_oUtil = m_oDev.oUtil
	
	    	If m_oDev.FlowFact_InitType = 0 Then
	        	Exit Sub
	    	End If
	
		End Sub
	
    '********************************************
    '** Callback_AddInInit
    '********************************************
    Sub Callback_AddInInit
        ' Hier eigenen Code einfgen
        
        Set m_oAddIn = Application.AddInConsumer(AddInName)
        
        paramData("AddIn.ParamCount") = "1"
        
        paramData("AddIn.Param1.Name") = "Navigatoreintrag"
        paramData("AddIn.Param1.DefaultValue") = "1"
        paramData("AddIn.Param1.Description") = "Soll das Script beim starten von FlowFact automatisch in den Navigator eingetragen werden? 1 = Ja, 0 = Nein"
		
    End Sub

    '********************************************
    '** Callback_AddInRun
    '********************************************
    Sub Callback_AddInRun
        ' Hier eigenen Code einfgen
    End Sub
    
	Sub CheckADeMail
			'** FlowFact initialisieren
			Init_oDev
			
			'** Abbruch ausserhalb ADFensters
			If m_oFF.ActivePaneName <> "F_AD" Then
				MsgBox "Diese Funktion kann nur im Adressfenster ausgefhrt werden."
				Exit Sub
			End If
			If not m_oFF.Panes("F_AD").rs is nothing then				
				If Application.Panes("F_AD").Modus = 0 Then
					
					value = InputBox( "Bitte geben Sie die E-Mailadresse ein, welche Sie mittels Doppelnachweis prfen lassen mchten.", "FlowFact MLS", m_oFF.Panes("F_AD").rs("email"))
					if len(value) > 0 then
						StartTool "MDNWP", value
					end if
				else
					MsgBox "Funktion in diesem Modus nicht mglich!"
				end if
			Else
				MsgBox "Bitte whlen Sie eine gltige Adresse aus!"
			End If
			
			
	End Sub
	
  '--------------------------------------------------------------------------
	Sub ToolbarCustomize
	'--------------------------------------------------------------------------
		If m_oAddIn.AddInParamValue(1) = "1" Then
			Commands.NavigatorAdd "","ADDIN_MLS_CHECK_010"
			If m_oFF.CurrentUserRS("chef") = "1" Then
				Commands.NavigatorAdd "","ADDIN_MLS_CHECK_020"
			End If
		End If
	End Sub
	
		Sub Konfiguration
		  '** FlowFact initialisieren
			Init_oDev
			
			If m_oFF.CurrentUserRS("chef") = "1" Then
				StartTool "CONF", ""
			End If
					
		End Sub
	
    '********************************************
    '** Check_Selektion
    '********************************************
		Sub Check_Selektion
		
			'** FlowFact initialisieren
			Init_oDev
			
			

			'** Abbruch ausserhalb Selektionsfenster
			If m_oFF.ActivePaneName <> "F_ISR" Then
				MsgBox "Diese Funktion kann nur im Selektionsfenster ausgefhrt werden."
				Exit Sub
			End If
			
'                       '# Neue Selektion hat keine List.
'			'** Abbruch Selektionsergebnis leer
'			If m_oFF.Panes("F_ISR").List.MaxRows < 1 Then
'				MsgBox "Es muss mindestens 1 Eintrag in der Selektionsliste vorhanden sein."
'				Exit Sub				
'			End If
			
			'** externes Tool starten
			StartTool "SEL", ""
			
		End Sub
		
			
	'********************************************
    '** StartTool
    '********************************************
		Sub StartTool(ByVal strMod, byval strParam)
			Select Case strMod
				Case "SEL"
					Application.Util.startapplication Application.Folder & "\System\ApplicationStarter.exe", "MLSDoppelnachweis, /SEL"
				Case "CONF"				
					Application.Util.startapplication Application.Folder & "\System\ApplicationStarter.exe", "MLSDoppelnachweis, /CONF" 					
				Case "MDNWP"
					Application.Util.startapplication Application.Folder & "\System\ApplicationStarter.exe", "MLSDoppelnachweis, /EMAIL=" & strParam 
				Case Else
					MsgBox "Funktion nicht integriert!", vbOkOnly + vbExclamation, "FLOWFACT"
			End Select
		End Sub
'**** ADDINCONFIG - FOOTER - BEGIN ****
    '>>>> Dieser Code wird automatisch generiert <<<<
    Sub Callback_AddInInternalInit
        AddInName = "MLSDoppelnachweis"

        Set paramData = CreateObject("Scripting.Dictionary")
        paramData.CompareMode = 1

        paramData("AddIn.Name") = AddInName
        paramData("AddIn.FileName") = "MLSDoppelnachweis"
        paramData("AddIn.Version") = "1.1.7"
        paramData("AddIn.Author") = "Sven Wagner"
        paramData("AddIn.MinFFBuild") = "411"
        paramData("AddIn.Description") = "Dieses AddIn prft das IMPLIUS Netzwerk auf doppelte Nachweise und entfernt diese aus Selektion"
        paramData("AddIn.History") = "Version: 1.1.7\nAuthor: ffmly\nDate: 16.06.2016 15:44:59\nDescription: NavigatorMaster.xml wurde herausgenommen. Stattdessen findet man das MLS-Cockpit im Portalfenster > Start\n****************************************\nVersion: 1.1.6\nAuthor: ffsvenwagner\nDate: 20.08.2014 11:59:21\nDescription: Kleine Verbesserung fr MLS Portalseite\n****************************************\nVersion: 1.1.5\nAuthor: ffsvenwagner\nDate: 22.07.2014 12:15:53\nDescription: Anpassung des Navigators  fr FLOWFACT 2014 R2\n****************************************\nVersion: 1.1.4\nAuthor: ffsvenwagner\nDate: 01.05.2013 11:19:26\nDescription: Anpassung fr Selektion FF2014\n****************************************\nVersion: 1.1.3\nAuthor: ffsvenwagner\nDate: 07.12.2012 16:21:51\nDescription: Korrektur Doppelnachweis fr eine Adresse\n****************************************\nVersion: 1.1.2\nAuthor: ffsvenwagner\nDate: 19.11.2012 14:52:51\nDescription: Commandnamen und MLS-Portalseiten Aufruf angepasst\n****************************************\nVersion: 1.1.1\nAuthor: ffsvenwagner\nDate: 17.09.2012 15:30:58\nDescription: Erweiterung manueller Doppelnachweis\n****************************************\nVersion: 1.1.0\nAuthor: ffsvenwagner\nDate: 10.06.2011 10:30:53\nDescription: Umstellung des Webservices\n****************************************\nVersion: 1.0.3\nAuthor: fffrankgaertner\nDate: 05.11.2010 11:55:52\nDescription: Bugfix Configdatei\n****************************************\nVersion: 1.0.2\nAuthor: fffrankgaertner\nDate: 29.10.2010 12:40:07\nDescription: Logo hinzugefgt\n****************************************\nVersion: 1.0.1\nAuthor: fffrankgaertner\nDate: 12.10.2010 17:08:20\nDescription: Konfigurationsbutton hinzugefgt, auf zentrale Konfigurationsdatei umgestellt\n****************************************\nVersion: 1.0.0\nAuthor: fffrankgaertner\nDate: 04.10.2010 11:32:57\nDescription: Erstellung\n****************************************\n"

        Set dbData = CreateObject("Scripting.Dictionary")
        dbData.CompareMode = 0  ' Insert DbData=False

    End Sub

End Class
'**** ADDINCONFIG - FOOTER - END ****
